# getNFTokenID | xrpl
Documentation for xrpl

# Function getNFTokenID

- getNFTokenID(meta): string | undefined

- Gets the NFTokenID for an NFT recently minted with NFTokenMint.

  #### Parameters

  - ##### meta: undefined | string | TransactionMetadata

    Metadata from the response to submitting and waiting for an NFTokenMint transaction or from a `tx` method call.

  #### Returns string | undefined

  The NFTokenID for the minted NFT.

  #### Throws

  if meta is not TransactionMetadata.

  - Defined in packages/xrpl/src/utils/getNFTokenID.ts:36

Generated using TypeDoc